Patchwork [09/16] gnupg: add libusb to DEPENDS

login
register
mail settings
Submitter Scott Garman
Date June 12, 2012, 8:36 p.m.
Message ID <1a76f50c1f159477a86dc7a6cb95873cee05d9e6.1339533128.git.scott.a.garman@intel.com>
Download mbox | patch
Permalink /patch/29741/
State New
Headers show

Comments

Scott Garman - June 12, 2012, 8:36 p.m.
From: Tom Zanussi <tom.zanussi@intel.com>

gnupg apparently depends on libusb:

| error: Failed dependencies:
| 	 libusb-0.1-4 >= 0.1.3 is needed by gnupg-2.0.18-r1.core2

So add libusb to gnupg DEPENDS.

Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
Signed-off-by: Elizabeth Flanagan <elizabeth.flanagan@intel.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>

Resolved merge conflicts when importing from oe-core master.

Signed-off-by: Scott Garman <scott.a.garman@intel.com>
---
 meta/recipes-support/gnupg/gnupg_2.0.18.bb |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Patch

diff --git a/meta/recipes-support/gnupg/gnupg_2.0.18.bb b/meta/recipes-support/gnupg/gnupg_2.0.18.bb
index 3085494..7dfd908 100644
--- a/meta/recipes-support/gnupg/gnupg_2.0.18.bb
+++ b/meta/recipes-support/gnupg/gnupg_2.0.18.bb
@@ -4,8 +4,8 @@  LICENSE = "GPLv3 & LGPLv3"
 LIC_FILES_CHKSUM = "file://COPYING;md5=f27defe1e96c2e1ecd4e0c9be8967949 \
                     file://COPYING.LIB;md5=6a6a8e020838b23406c81b19c1d46df6"
 
-DEPENDS = "pth libassuan libksba zlib bzip2 readline libgcrypt"
-PR = "r1"
+DEPENDS = "pth libassuan libksba zlib bzip2 readline libgcrypt libusb"
+PR = "r2"
 
 inherit autotools gettext